/* VierGewinnt - A simple 4-in-a-row network game
 *
 *      Copyright (c) 2008 by Sebastian Lohff, seba@seba-geek.de
 *      http://www.seba-geek.de
 *
 *  This file is part of VierGewinnt.
 *
 *  VierGewinnt is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  VierGewinnt is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with VierGewinnt.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "playerwait.h"

PlayerWaitDialog::PlayerWaitDialog(QTcpSocket *sock, QWidget *parent) : QDialog(parent) {
	mysock = sock;
	cancel = new QPushButton(tr("Abbrechen"));
	connect(cancel, SIGNAL(clicked()), this, SLOT(closeGame()));
	connect(this, SIGNAL(rejected()), this, SLOT(closeGame()));
	waiting = new QLabel(tr("Warte auf anderen Spieler..."));
	setWindowTitle(tr("Auf Spieler warten"));
	
	layout = new QVBoxLayout;
	layout->addWidget(waiting);
	layout->addStretch();
	layout->addWidget(cancel);
	
	setLayout(layout);
	
	setModal(Qt::WindowModal);
}

void PlayerWaitDialog::closeGame() {
	mysock->close();
	done(1);
}
