/* VierGewinnt - A simple 4-in-a-row network game
 *
 *      Copyright (c) 2008 by Sebastian Lohff, seba@seba-geek.de
 *      http://www.seba-geek.de
 *
 *  This file is part of VierGewinnt.
 *
 *  VierGewinnt is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  VierGewinnt is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with VierGewinnt.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __SELECTMASTER_H
#define __SELECTMASTER_H

#include <QDialog>
#include <QString>
#include <QLabel>
#include <QLineEdit>
#include <QGridLayout>
#include <QDialogButtonBox>
#include <QMessageBox>
#include <sstream>

class SelectMasterDialog : public QDialog {
	Q_OBJECT
	
	public:
		SelectMasterDialog(QWidget *parent=0);
		void setData(QString srv, int port);
		
		QString getMasterServer();
		int getMasterPort();
	
	private slots:
		void checkAndAccept();
	
	private:
		QString masterserver;
		int masterport;
	
		// Guistuff
		QDialogButtonBox *okcancel;
		QLineEdit *editmasteraddr;
		QLineEdit *editmasterport;
		QLabel *labelmasteraddr;
		QLabel *labelmasterport;
		QLabel *labelhead;
		QGridLayout *layout;
};

#endif
